创建 depEnrollmentProfile

命名空间:microsoft.graph

重要提示: /beta 版本下的 Microsoft Graph API 可能会更改;不支持生产使用。

注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证

创建新的 depEnrollmentProfile 对象。

先决条件

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) DeviceManagementServiceConfig.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 DeviceManagementServiceConfig.ReadWrite.All

HTTP 请求

POST /deviceManagement/depOnboardingSettings/{depOnboardingSettingId}/enrollmentProfiles

请求标头

标头
Authorization Bearer <token>。必需。
接受 application/json

请求正文

在请求正文中,提供 depEnrollmentProfile 对象的 JSON 表示形式。

下表显示创建 depEnrollmentProfile 时所需的属性。

属性 类型 说明
id String 对象的 GUID 继承自 enrollmentProfile
displayName String 配置文件的名称 继承自 enrollmentProfile
description String 配置文件的说明 继承自 enrollmentProfile
requiresUserAuthentication Boolean 指示配置文件是否要求用户身份验证 继承自 enrollmentProfile
configurationEndpointUrl String 用于注册的配置终结点 URL 继承自 enrollmentProfile
enableAuthenticationViaCompanyPortal Boolean 指示使用 Apple Setup Assistant 而不是 Unternehmensportal。 继承自 enrollmentProfile
requireCompanyPortalOnSetupAssistantEnrolledDevices Boolean 指示在Unternehmensportal注册的设备上需要安装文件。继承自 enrollmentProfile
isDefault Boolean 指示这是否为默认配置文件
supervisedModeEnabled Boolean 监督模式,如果为 True,则启用,否则为 false。 有关其他信息,请参阅Microsoft Intune注册设备。
supportDepartment String 支持部门信息
passCodeDisabled Boolean 指示密码设置窗格是否被禁用
isMandatory Boolean 指示配置文件是否是必需的
locationDisabled Boolean 指示位置服务设置窗格是否被禁用
supportPhoneNumber String 支持电话号码
iTunesPairingMode iTunesPairingMode 指示 iTunes 配对模式。 可取值为:disallowallowrequiresCertificate
profileRemovalDisabled Boolean 指示配置文件删除选项是否被禁用
managementCertificates managementCertificateWithThumbprint 集合 Apple Configurator 的管理证书
restoreBlocked Boolean 指示是否阻止了"还原设置"窗格
restoreFromAndroidDisabled Boolean 指示是否禁用从 Android 还原
appleIdDisabled Boolean 指示 Apple ID 设置窗格是否被禁用
termsAndConditionsDisabled Boolean 指示"条款和条件"设置窗格是否被禁用
touchIdDisabled Boolean 指示触摸 ID 设置窗格是否被禁用
applePayDisabled Boolean 指示 Apple 付款设置窗格是否被禁用
zoomDisabled Boolean 指示是否禁用了缩放设置窗格
siriDisabled Boolean 指示是否禁用了 siri 设置窗格
diagnosticsDisabled Boolean 指示诊断设置窗格是否被禁用
macOSRegistrationDisabled Boolean 指示是否禁用 Mac OS 注册
macOSFileVaultDisabled Boolean 指示是否禁用 Mac OS 文件保管库
awaitDeviceConfiguredConfirmation Boolean 指示设备是否需要等待配置的确认
sharedIPadMaximumUserCount Int32 这指定可以使用共享 iPad 的最大用户数。 仅适用于共享 iPad 模式。
enableSharedIPad Boolean 这指示设备是否将在支持多用户方案的模式下注册。 仅适用于共享 iPad。

响应

如果成功,此方法在响应 201 Created 正文中返回 响应代码和 depEnrollmentProfile 对象。

示例

请求

下面是一个请求示例。

POST https://graph.microsoft.com/beta/deviceManagement/depOnboardingSettings/{depOnboardingSettingId}/enrollmentProfiles
Content-type: application/json
Content-length: 1354

{
  "@odata.type": "#microsoft.graph.depEnrollmentProfile",
  "displayName": "Display Name value",
  "description": "Description value",
  "requiresUserAuthentication": true,
  "configurationEndpointUrl": "https://example.com/configurationEndpointUrl/",
  "enableAuthenticationViaCompanyPortal": true,
  "requireCompanyPortalOnSetupAssistantEnrolledDevices": true,
  "isDefault": true,
  "supervisedModeEnabled": true,
  "supportDepartment": "Support Department value",
  "passCodeDisabled": true,
  "isMandatory": true,
  "locationDisabled": true,
  "supportPhoneNumber": "Support Phone Number value",
  "iTunesPairingMode": "allow",
  "profileRemovalDisabled": true,
  "managementCertificates": [
    {
      "@odata.type": "microsoft.graph.managementCertificateWithThumbprint",
      "thumbprint": "Thumbprint value",
      "certificate": "Certificate value"
    }
  ],
  "restoreBlocked": true,
  "restoreFromAndroidDisabled": true,
  "appleIdDisabled": true,
  "termsAndConditionsDisabled": true,
  "touchIdDisabled": true,
  "applePayDisabled": true,
  "zoomDisabled": true,
  "siriDisabled": true,
  "diagnosticsDisabled": true,
  "macOSRegistrationDisabled": true,
  "macOSFileVaultDisabled": true,
  "awaitDeviceConfiguredConfirmation": true,
  "sharedIPadMaximumUserCount": 10,
  "enableSharedIPad": true
}

响应

下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。

HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 1403

{
  "@odata.type": "#microsoft.graph.depEnrollmentProfile",
  "id": "3d4534f7-34f7-3d45-f734-453df734453d",
  "displayName": "Display Name value",
  "description": "Description value",
  "requiresUserAuthentication": true,
  "configurationEndpointUrl": "https://example.com/configurationEndpointUrl/",
  "enableAuthenticationViaCompanyPortal": true,
  "requireCompanyPortalOnSetupAssistantEnrolledDevices": true,
  "isDefault": true,
  "supervisedModeEnabled": true,
  "supportDepartment": "Support Department value",
  "passCodeDisabled": true,
  "isMandatory": true,
  "locationDisabled": true,
  "supportPhoneNumber": "Support Phone Number value",
  "iTunesPairingMode": "allow",
  "profileRemovalDisabled": true,
  "managementCertificates": [
    {
      "@odata.type": "microsoft.graph.managementCertificateWithThumbprint",
      "thumbprint": "Thumbprint value",
      "certificate": "Certificate value"
    }
  ],
  "restoreBlocked": true,
  "restoreFromAndroidDisabled": true,
  "appleIdDisabled": true,
  "termsAndConditionsDisabled": true,
  "touchIdDisabled": true,
  "applePayDisabled": true,
  "zoomDisabled": true,
  "siriDisabled": true,
  "diagnosticsDisabled": true,
  "macOSRegistrationDisabled": true,
  "macOSFileVaultDisabled": true,
  "awaitDeviceConfiguredConfirmation": true,
  "sharedIPadMaximumUserCount": 10,
  "enableSharedIPad": true
}